darcs

Issue 1289 wish: warn when applying duplicate patch?

Title wish: warn when applying duplicate patch?
Priority wishlist Status needs-implementation
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, thorkilnaur, twb
Assigned To
Topics UI

Created on 2008-12-28.11:52:08 by twb, last changed 2017-08-09.14:40:34 by bf.

Messages
msg6919 (view) Author: twb Date: 2008-12-28.11:52:05
It seems that Eric applied an older version of the patch below to the
main repo, which meant that I pulled it back in.  Apparently the only
thing I had changed in my local, amended copy was the timestamp.

I wouldn't even have noticed that there was a duplicate patch in my
repo, except that I was pulling a patch with "Trent" as the author.
Perhaps darcs should warn when a "duplicate" non-conflict is applied?

$ darcs obl --match 'date "2008-12-26T21:42:43+1100"'
Fri Dec 26 21:42:43 EST 2008  Trent W. Buck <trentbuck@gmail.com>
  * Improve readability of bug reporting.
  Moving "at <location>" to the first line gives the descriptive string
  a line all to itself.  For example, darcs show bug:

      darcs: bug at src/Darcs/Commands/ShowBug.lhs:57 compiled Nov  4 2008 12:05:43
      This is actually a fake bug in darcs.
Shall I obliterate this patch? (1/1)  [ynWsfvpxdaqjk], or ? for help: v
[...] duplicate
|hunk ./src/Darcs/Bug.hs 19
|-    errorDoc $ text ("bug at "++_bugLoc bs) $$ s $$
|+    errorDoc $ text "bug in darcs!" $$ s <+> text ("at "++_bugLoc bs) $$
|:
hunk ./src/Darcs/Bug.hs 19
-    errorDoc $ text "bug in darcs!" $$ s <+> text ("at "++_bugLoc bs) $$
+    errorDoc $ text ("bug at "++_bugLoc bs) $$ s $$
Shall I obliterate this patch? (1/1)  [ynWsfvpxdaqjk], or ? for help: y
Finished obliterating.
msg6997 (view) Author: thorkilnaur Date: 2009-01-06.14:58:36
Thanks Trent. I am not sure this is the right thing, but based on your designating 
this a "wish" in the title, I prioritize and defer accordingly.

Best regards
Thorkil
msg7072 (view) Author: thorkilnaur Date: 2009-01-13.11:01:07
Deferring was a mistake, sorry. Setting the need-info state instead, asking for a 
discussion of whether we should work to support this suggestion.

Best regards
Thorkil
msg19529 (view) Author: bf Date: 2017-08-09.14:40:33
I think issuing a warning for every duplicate that darcs generates is a
very good idea.
History
Date User Action Args
2008-12-28 11:52:08twbcreate
2009-01-06 14:58:41thorkilnaursetpriority: wishlist
status: unread -> deferred
messages: + msg6997
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
2009-01-13 11:01:12thorkilnaursetstatus: deferred -> waiting-for
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
topic: + UI
messages: + msg7072
2009-08-24 12:10:12koweysetstatus: waiting-for -> needs-implementation
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
2009-08-25 17:37:18adminsetnosy: + darcs-devel, - simon
2009-08-27 14:31:44adminsetnosy: kowey, darcs-devel, twb, thorkilnaur, dmitry.kurochkin
2017-08-09 14:40:34bfsetmessages: + msg19529